import { MediaInfo } from '../player/nativeclass/MediaInfo';
import { TrackInfo } from "../player/nativeclass/TrackInfo";
import { Thumbnail } from "../player/nativeclass/Thumbnail";
import { PlayerConfig } from "../player/nativeclass/PlayerConfig";
import { NetworkStats } from '../player/nativeclass/NetworkStats';
import { UrlSource } from '../player/source/UrlSource';
import { VidAuth } from '../player/source/VidAuth';
export class ObjCreateHelper {
    constructor() {
        this.nativeCreateMediaInfo = () => {
            return new MediaInfo();
        };
        this.nativeCreateTrackInfo = () => {
            return new TrackInfo();
        };
        this.nativeCreateThumbnail = () => {
            return new Thumbnail();
        };
        this.nativeCreatePlayerConfig = () => {
            return new PlayerConfig();
        };
        this.nativeCreateNetworkStats = () => {
            return new NetworkStats();
        };
        this.nativeCreateUrlSource = () => {
            return new UrlSource();
        };
        this.nativeCreateVidAuth = () => {
            return new VidAuth();
        };
    }
}
